#include"TcPch.h"
#pragma hdrstop
#include"IoPressureMeter.h"
#include"DEVICE.h"
#include"debug.h"
IoPressureMeter::IoPressureMeter(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoPressureMeter* _initVG31_0(){
	static IoPressureMeter staticVG31("IoPressureMeter","VG31",MODULE_NAME);
	IoPressureMeter::poVG31=&staticVG31;
	IoPressureMeter* dev=&staticVG31;
	strcpy(dev->id,"VG31");
	strcpy(dev->display,"VG31");
	strcpy(dev->schematicId,"VG31");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->VG31_Pressure,"AI.VG31_Pressure",TRUE);
	strcpy(dev->physical,"0,15000");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initVG14_0(){
	static IoPressureMeter staticVG14("IoPressureMeter","VG14",MODULE_NAME);
	IoPressureMeter::poVG14=&staticVG14;
	IoPressureMeter* dev=&staticVG14;
	strcpy(dev->id,"VG14");
	strcpy(dev->display,"VG14");
	strcpy(dev->schematicId,"VG14");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->VG14_Pressure,"AI.VG14_Pressure",TRUE);
	strcpy(dev->physical,"0,15000");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initVG11_0(){
	static IoPressureMeter staticVG11("IoPressureMeter","VG11",MODULE_NAME);
	IoPressureMeter::poVG11=&staticVG11;
	IoPressureMeter* dev=&staticVG11;
	strcpy(dev->id,"VG11");
	strcpy(dev->display,"VG11");
	strcpy(dev->schematicId,"VG11");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->VG11_Pressure,"AI.VG11_Pressure",TRUE);
	strcpy(dev->physical,"0,15000");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initVG13_0(){
	static IoPressureMeter staticVG13("IoPressureMeter","VG13",MODULE_NAME);
	IoPressureMeter::poVG13=&staticVG13;
	IoPressureMeter* dev=&staticVG13;
	strcpy(dev->id,"VG13");
	strcpy(dev->display,"VG13");
	strcpy(dev->schematicId,"VG13");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->VG13_Pressure,"AI.VG13_Pressure",TRUE);
	strcpy(dev->physical,"0,15000");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG1_0(){
	static IoPressureMeter staticPG1("IoPressureMeter","PG1",MODULE_NAME);
	IoPressureMeter::poPG1=&staticPG1;
	IoPressureMeter* dev=&staticPG1;
	strcpy(dev->id,"PG1");
	strcpy(dev->display,"PG1");
	strcpy(dev->schematicId,"PG1");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG1_Pressure,"AI.PG1_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG2_0(){
	static IoPressureMeter staticPG2("IoPressureMeter","PG2",MODULE_NAME);
	IoPressureMeter::poPG2=&staticPG2;
	IoPressureMeter* dev=&staticPG2;
	strcpy(dev->id,"PG2");
	strcpy(dev->display,"PG2");
	strcpy(dev->schematicId,"PG2");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG2_Pressure,"AI.PG2_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG3_0(){
	static IoPressureMeter staticPG3("IoPressureMeter","PG3",MODULE_NAME);
	IoPressureMeter::poPG3=&staticPG3;
	IoPressureMeter* dev=&staticPG3;
	strcpy(dev->id,"PG3");
	strcpy(dev->display,"PG3");
	strcpy(dev->schematicId,"PG3");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG3_Pressure,"AI.PG3_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG4_0(){
	static IoPressureMeter staticPG4("IoPressureMeter","PG4",MODULE_NAME);
	IoPressureMeter::poPG4=&staticPG4;
	IoPressureMeter* dev=&staticPG4;
	strcpy(dev->id,"PG4");
	strcpy(dev->display,"PG4");
	strcpy(dev->schematicId,"PG4");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG4_Pressure,"AI.PG4_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG5_0(){
	static IoPressureMeter staticPG5("IoPressureMeter","PG5",MODULE_NAME);
	IoPressureMeter::poPG5=&staticPG5;
	IoPressureMeter* dev=&staticPG5;
	strcpy(dev->id,"PG5");
	strcpy(dev->display,"PG5");
	strcpy(dev->schematicId,"PG5");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG5_Pressure,"AI.PG5_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG6_0(){
	static IoPressureMeter staticPG6("IoPressureMeter","PG6",MODULE_NAME);
	IoPressureMeter::poPG6=&staticPG6;
	IoPressureMeter* dev=&staticPG6;
	strcpy(dev->id,"PG6");
	strcpy(dev->display,"PG6");
	strcpy(dev->schematicId,"PG6");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG6_Pressure,"AI.PG6_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG7_0(){
	static IoPressureMeter staticPG7("IoPressureMeter","PG7",MODULE_NAME);
	IoPressureMeter::poPG7=&staticPG7;
	IoPressureMeter* dev=&staticPG7;
	strcpy(dev->id,"PG7");
	strcpy(dev->display,"PG7");
	strcpy(dev->schematicId,"PG7");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG7_Pressure,"AI.PG7_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG8_0(){
	static IoPressureMeter staticPG8("IoPressureMeter","PG8",MODULE_NAME);
	IoPressureMeter::poPG8=&staticPG8;
	IoPressureMeter* dev=&staticPG8;
	strcpy(dev->id,"PG8");
	strcpy(dev->display,"PG8");
	strcpy(dev->schematicId,"PG8");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG8_Pressure,"AI.PG8_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG13_0(){
	static IoPressureMeter staticPG13("IoPressureMeter","PG13",MODULE_NAME);
	IoPressureMeter::poPG13=&staticPG13;
	IoPressureMeter* dev=&staticPG13;
	strcpy(dev->id,"PG13");
	strcpy(dev->display,"PG13");
	strcpy(dev->schematicId,"PG13");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->N2_4_Purge_Pressure1,"AI.N2_4_Purge_Pressure1",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG14_0(){
	static IoPressureMeter staticPG14("IoPressureMeter","PG14",MODULE_NAME);
	IoPressureMeter::poPG14=&staticPG14;
	IoPressureMeter* dev=&staticPG14;
	strcpy(dev->id,"PG14");
	strcpy(dev->display,"PG14");
	strcpy(dev->schematicId,"PG14");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->N2_4_Purge_Pressure2,"AI.N2_4_Purge_Pressure2",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG15_0(){
	static IoPressureMeter staticPG15("IoPressureMeter","PG15",MODULE_NAME);
	IoPressureMeter::poPG15=&staticPG15;
	IoPressureMeter* dev=&staticPG15;
	strcpy(dev->id,"PG15");
	strcpy(dev->display,"PG15");
	strcpy(dev->schematicId,"PG15");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->N2_5_Purge_Pressure,"AI.N2_5_Purge_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG16_0(){
	static IoPressureMeter staticPG16("IoPressureMeter","PG16",MODULE_NAME);
	IoPressureMeter::poPG16=&staticPG16;
	IoPressureMeter* dev=&staticPG16;
	strcpy(dev->id,"PG16");
	strcpy(dev->display,"PG16");
	strcpy(dev->schematicId,"PG16");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->N2_6_Purge_Pressure,"AI.N2_6_Purge_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG21_0(){
	static IoPressureMeter staticPG21("IoPressureMeter","PG21",MODULE_NAME);
	IoPressureMeter::poPG21=&staticPG21;
	IoPressureMeter* dev=&staticPG21;
	strcpy(dev->id,"PG21");
	strcpy(dev->display,"PG21");
	strcpy(dev->schematicId,"PG21");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->PG21_Pressure,"AI.PG21_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG22_0(){
	static IoPressureMeter staticPG22("IoPressureMeter","PG22",MODULE_NAME);
	IoPressureMeter::poPG22=&staticPG22;
	IoPressureMeter* dev=&staticPG22;
	strcpy(dev->id,"PG22");
	strcpy(dev->display,"PG22");
	strcpy(dev->schematicId,"PG22");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->PG22_Pressure,"AI.PG22_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG23_0(){
	static IoPressureMeter staticPG23("IoPressureMeter","PG23",MODULE_NAME);
	IoPressureMeter::poPG23=&staticPG23;
	IoPressureMeter* dev=&staticPG23;
	strcpy(dev->id,"PG23");
	strcpy(dev->display,"PG23");
	strcpy(dev->schematicId,"PG23");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->PG23_Pressure,"AI.PG23_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG31_0(){
	static IoPressureMeter staticPG31("IoPressureMeter","PG31",MODULE_NAME);
	IoPressureMeter::poPG31=&staticPG31;
	IoPressureMeter* dev=&staticPG31;
	strcpy(dev->id,"PG31");
	strcpy(dev->display,"PG31");
	strcpy(dev->schematicId,"PG31");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG31_Pressure,"AI.PG31_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG32_0(){
	static IoPressureMeter staticPG32("IoPressureMeter","PG32",MODULE_NAME);
	IoPressureMeter::poPG32=&staticPG32;
	IoPressureMeter* dev=&staticPG32;
	strcpy(dev->id,"PG32");
	strcpy(dev->display,"PG32");
	strcpy(dev->schematicId,"PG32");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG32_Pressure,"AI.PG32_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG130_0(){
	static IoPressureMeter staticPG130("IoPressureMeter","PG130",MODULE_NAME);
	IoPressureMeter::poPG130=&staticPG130;
	IoPressureMeter* dev=&staticPG130;
	strcpy(dev->id,"PG130");
	strcpy(dev->display,"PG130");
	strcpy(dev->schematicId,"PG130");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->N2_7_Purge_Pressure,"AI.N2_7_Purge_Pressure",TRUE);
	strcpy(dev->physical,"0,150");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPG_PS12_0(){
	static IoPressureMeter staticPG_PS12("IoPressureMeter","PG_PS12",MODULE_NAME);
	IoPressureMeter::poPG_PS12=&staticPG_PS12;
	IoPressureMeter* dev=&staticPG_PS12;
	strcpy(dev->id,"PG_PS12");
	strcpy(dev->display,"PG_PS12");
	strcpy(dev->schematicId,"PG_PS12");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PG_PS12_Pressure,"AI.PG_PS12_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS11_0(){
	static IoPressureMeter staticPS11("IoPressureMeter","PS11",MODULE_NAME);
	IoPressureMeter::poPS11=&staticPS11;
	IoPressureMeter* dev=&staticPS11;
	strcpy(dev->id,"PS11");
	strcpy(dev->display,"PS11");
	strcpy(dev->schematicId,"PS11");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PS11_Pressure,"AI.PS11_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS13_0(){
	static IoPressureMeter staticPS13("IoPressureMeter","PS13",MODULE_NAME);
	IoPressureMeter::poPS13=&staticPS13;
	IoPressureMeter* dev=&staticPS13;
	strcpy(dev->id,"PS13");
	strcpy(dev->display,"PS13");
	strcpy(dev->schematicId,"PS13");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PS13_Pressure,"AI.PS13_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS14_0(){
	static IoPressureMeter staticPS14("IoPressureMeter","PS14",MODULE_NAME);
	IoPressureMeter::poPS14=&staticPS14;
	IoPressureMeter* dev=&staticPS14;
	strcpy(dev->id,"PS14");
	strcpy(dev->display,"PS14");
	strcpy(dev->schematicId,"PS14");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PS14_Pressure,"AI.PS14_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS17_0(){
	static IoPressureMeter staticPS17("IoPressureMeter","PS17",MODULE_NAME);
	IoPressureMeter::poPS17=&staticPS17;
	IoPressureMeter* dev=&staticPS17;
	strcpy(dev->id,"PS17");
	strcpy(dev->display,"PS17");
	strcpy(dev->schematicId,"PS17");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PS17_value,"AI.PS17_value",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS33_0(){
	static IoPressureMeter staticPS33("IoPressureMeter","PS33",MODULE_NAME);
	IoPressureMeter::poPS33=&staticPS33;
	IoPressureMeter* dev=&staticPS33;
	strcpy(dev->id,"PS33");
	strcpy(dev->display,"PS33");
	strcpy(dev->schematicId,"PS33");
	strcpy(dev->unit,"Torr");
	dev->aiFeedback.create("aiFeedback",&AI->PS33_Pressure,"AI.PS33_Pressure",TRUE);
	strcpy(dev->physical,"0,15000");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initPS110_0(){
	static IoPressureMeter staticPS110("IoPressureMeter","PS110",MODULE_NAME);
	IoPressureMeter::poPS110=&staticPS110;
	IoPressureMeter* dev=&staticPS110;
	strcpy(dev->id,"PS110");
	strcpy(dev->display,"PS110");
	strcpy(dev->schematicId,"PS110");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->PS110_Pressure,"AI.PS110_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS105_0(){
	static IoPressureMeter staticFS105("IoPressureMeter","FS105",MODULE_NAME);
	IoPressureMeter::poFS105=&staticFS105;
	IoPressureMeter* dev=&staticFS105;
	strcpy(dev->id,"FS105");
	strcpy(dev->display,"FS105");
	strcpy(dev->schematicId,"FS105");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS105_Flow,"AI.FS105_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS106_0(){
	static IoPressureMeter staticFS106("IoPressureMeter","FS106",MODULE_NAME);
	IoPressureMeter::poFS106=&staticFS106;
	IoPressureMeter* dev=&staticFS106;
	strcpy(dev->id,"FS106");
	strcpy(dev->display,"FS106");
	strcpy(dev->schematicId,"FS106");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS106_Flow,"AI.FS106_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS202_0(){
	static IoPressureMeter staticFS202("IoPressureMeter","FS202",MODULE_NAME);
	IoPressureMeter::poFS202=&staticFS202;
	IoPressureMeter* dev=&staticFS202;
	strcpy(dev->id,"FS202");
	strcpy(dev->display,"FS202");
	strcpy(dev->schematicId,"FS202");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS202_Flow,"AI.FS202_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS104_0(){
	static IoPressureMeter staticFS104("IoPressureMeter","FS104",MODULE_NAME);
	IoPressureMeter::poFS104=&staticFS104;
	IoPressureMeter* dev=&staticFS104;
	strcpy(dev->id,"FS104");
	strcpy(dev->display,"FS104");
	strcpy(dev->schematicId,"FS104");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS104_Flow,"AI.FS104_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS111_0(){
	static IoPressureMeter staticFS111("IoPressureMeter","FS111",MODULE_NAME);
	IoPressureMeter::poFS111=&staticFS111;
	IoPressureMeter* dev=&staticFS111;
	strcpy(dev->id,"FS111");
	strcpy(dev->display,"FS111");
	strcpy(dev->schematicId,"FS111");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS111_Flow,"AI.FS111_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS102_0(){
	static IoPressureMeter staticFS102("IoPressureMeter","FS102",MODULE_NAME);
	IoPressureMeter::poFS102=&staticFS102;
	IoPressureMeter* dev=&staticFS102;
	strcpy(dev->id,"FS102");
	strcpy(dev->display,"FS102");
	strcpy(dev->schematicId,"FS102");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS102_Flow,"AI.FS102_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initDG1_0(){
	static IoPressureMeter staticDG1("IoPressureMeter","DG1",MODULE_NAME);
	IoPressureMeter::poDG1=&staticDG1;
	IoPressureMeter* dev=&staticDG1;
	strcpy(dev->id,"DG1");
	strcpy(dev->display,"DG1");
	strcpy(dev->schematicId,"DG1");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->DG1_Pressure,"AI.DG1_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initFS116_0(){
	static IoPressureMeter staticFS116("IoPressureMeter","FS116",MODULE_NAME);
	IoPressureMeter::poFS116=&staticFS116;
	IoPressureMeter* dev=&staticFS116;
	strcpy(dev->id,"FS116");
	strcpy(dev->display,"FS116");
	strcpy(dev->schematicId,"FS116");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->FS116_Flow,"AI.FS116_Flow",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initMP21_PS_0(){
	static IoPressureMeter staticMP21_PS("IoPressureMeter","MP21_PS",MODULE_NAME);
	IoPressureMeter::poMP21_PS=&staticMP21_PS;
	IoPressureMeter* dev=&staticMP21_PS;
	strcpy(dev->id,"MP21_PS");
	strcpy(dev->display,"MP21_PS");
	strcpy(dev->schematicId,"MP21_PS");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->MP21_PS_Pressure,"AI.MP21_PS_Pressure",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initOX_0(){
	static IoPressureMeter staticOX("IoPressureMeter","OX",MODULE_NAME);
	IoPressureMeter::poOX=&staticOX;
	IoPressureMeter* dev=&staticOX;
	strcpy(dev->id,"OX");
	strcpy(dev->display,"OX");
	strcpy(dev->schematicId,"OX");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->OX_Value,"AI.OX_Value",TRUE);
	strcpy(dev->physical,"-0.1,1.0");
	strcpy(dev->scale,"0,1000");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup11N2Flow_0(){
	static IoPressureMeter staticBufferFoup11N2Flow("IoPressureMeter","BufferFoup11N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup11N2Flow=&staticBufferFoup11N2Flow;
	IoPressureMeter* dev=&staticBufferFoup11N2Flow;
	strcpy(dev->id,"BufferFoup11N2Flow");
	strcpy(dev->display,"Buffer_Foup1_1_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup1_1_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_1_N2_Flow,"AI.Buffer_Foup1_1_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup11N2Pressure_0(){
	static IoPressureMeter staticBufferFoup11N2Pressure("IoPressureMeter","BufferFoup11N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup11N2Pressure=&staticBufferFoup11N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup11N2Pressure;
	strcpy(dev->id,"BufferFoup11N2Pressure");
	strcpy(dev->display,"Buffer_Foup1_1_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup1_1_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_1_N2_Pressure,"AI.Buffer_Foup1_1_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup12N2Flow_0(){
	static IoPressureMeter staticBufferFoup12N2Flow("IoPressureMeter","BufferFoup12N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup12N2Flow=&staticBufferFoup12N2Flow;
	IoPressureMeter* dev=&staticBufferFoup12N2Flow;
	strcpy(dev->id,"BufferFoup12N2Flow");
	strcpy(dev->display,"Buffer_Foup1_2_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup1_2_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_2_N2_Flow,"AI.Buffer_Foup1_2_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup12N2Pressure_0(){
	static IoPressureMeter staticBufferFoup12N2Pressure("IoPressureMeter","BufferFoup12N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup12N2Pressure=&staticBufferFoup12N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup12N2Pressure;
	strcpy(dev->id,"BufferFoup12N2Pressure");
	strcpy(dev->display,"Buffer_Foup1_2_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup1_2_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_2_N2_Pressure,"AI.Buffer_Foup1_2_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup13N2Flow_0(){
	static IoPressureMeter staticBufferFoup13N2Flow("IoPressureMeter","BufferFoup13N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup13N2Flow=&staticBufferFoup13N2Flow;
	IoPressureMeter* dev=&staticBufferFoup13N2Flow;
	strcpy(dev->id,"BufferFoup13N2Flow");
	strcpy(dev->display,"Buffer_Foup1_3_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup1_3_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_3_N2_Flow,"AI.Buffer_Foup1_3_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup13N2Pressure_0(){
	static IoPressureMeter staticBufferFoup13N2Pressure("IoPressureMeter","BufferFoup13N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup13N2Pressure=&staticBufferFoup13N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup13N2Pressure;
	strcpy(dev->id,"BufferFoup13N2Pressure");
	strcpy(dev->display,"Buffer_Foup1_3_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup1_3_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_3_N2_Pressure,"AI.Buffer_Foup1_3_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup14N2Flow_0(){
	static IoPressureMeter staticBufferFoup14N2Flow("IoPressureMeter","BufferFoup14N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup14N2Flow=&staticBufferFoup14N2Flow;
	IoPressureMeter* dev=&staticBufferFoup14N2Flow;
	strcpy(dev->id,"BufferFoup14N2Flow");
	strcpy(dev->display,"Buffer_Foup1_4_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup1_4_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_4_N2_Flow,"AI.Buffer_Foup1_4_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup14N2Pressure_0(){
	static IoPressureMeter staticBufferFoup14N2Pressure("IoPressureMeter","BufferFoup14N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup14N2Pressure=&staticBufferFoup14N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup14N2Pressure;
	strcpy(dev->id,"BufferFoup14N2Pressure");
	strcpy(dev->display,"Buffer_Foup1_4_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup1_4_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup1_4_N2_Pressure,"AI.Buffer_Foup1_4_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup21N2Flow_0(){
	static IoPressureMeter staticBufferFoup21N2Flow("IoPressureMeter","BufferFoup21N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup21N2Flow=&staticBufferFoup21N2Flow;
	IoPressureMeter* dev=&staticBufferFoup21N2Flow;
	strcpy(dev->id,"BufferFoup21N2Flow");
	strcpy(dev->display,"Buffer_Foup2_1_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup2_1_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_1_N2_Flow,"AI.Buffer_Foup2_1_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup21N2Pressure_0(){
	static IoPressureMeter staticBufferFoup21N2Pressure("IoPressureMeter","BufferFoup21N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup21N2Pressure=&staticBufferFoup21N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup21N2Pressure;
	strcpy(dev->id,"BufferFoup21N2Pressure");
	strcpy(dev->display,"Buffer_Foup2_1_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup2_1_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_1_N2_Pressure,"AI.Buffer_Foup2_1_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup22N2Flow_0(){
	static IoPressureMeter staticBufferFoup22N2Flow("IoPressureMeter","BufferFoup22N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup22N2Flow=&staticBufferFoup22N2Flow;
	IoPressureMeter* dev=&staticBufferFoup22N2Flow;
	strcpy(dev->id,"BufferFoup22N2Flow");
	strcpy(dev->display,"Buffer_Foup2_2_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup2_2_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_2_N2_Flow,"AI.Buffer_Foup2_2_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup22N2Pressure_0(){
	static IoPressureMeter staticBufferFoup22N2Pressure("IoPressureMeter","BufferFoup22N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup22N2Pressure=&staticBufferFoup22N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup22N2Pressure;
	strcpy(dev->id,"BufferFoup22N2Pressure");
	strcpy(dev->display,"Buffer_Foup2_2_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup2_2_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_2_N2_Pressure,"AI.Buffer_Foup2_2_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup23N2Flow_0(){
	static IoPressureMeter staticBufferFoup23N2Flow("IoPressureMeter","BufferFoup23N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup23N2Flow=&staticBufferFoup23N2Flow;
	IoPressureMeter* dev=&staticBufferFoup23N2Flow;
	strcpy(dev->id,"BufferFoup23N2Flow");
	strcpy(dev->display,"Buffer_Foup2_3_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup2_3_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_3_N2_Flow,"AI.Buffer_Foup2_3_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup23N2Pressure_0(){
	static IoPressureMeter staticBufferFoup23N2Pressure("IoPressureMeter","BufferFoup23N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup23N2Pressure=&staticBufferFoup23N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup23N2Pressure;
	strcpy(dev->id,"BufferFoup23N2Pressure");
	strcpy(dev->display,"Buffer_Foup2_3_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup2_3_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_3_N2_Pressure,"AI.Buffer_Foup2_3_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup24N2Flow_0(){
	static IoPressureMeter staticBufferFoup24N2Flow("IoPressureMeter","BufferFoup24N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup24N2Flow=&staticBufferFoup24N2Flow;
	IoPressureMeter* dev=&staticBufferFoup24N2Flow;
	strcpy(dev->id,"BufferFoup24N2Flow");
	strcpy(dev->display,"Buffer_Foup2_4_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup2_4_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_4_N2_Flow,"AI.Buffer_Foup2_4_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup24N2Pressure_0(){
	static IoPressureMeter staticBufferFoup24N2Pressure("IoPressureMeter","BufferFoup24N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup24N2Pressure=&staticBufferFoup24N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup24N2Pressure;
	strcpy(dev->id,"BufferFoup24N2Pressure");
	strcpy(dev->display,"Buffer_Foup2_4_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup2_4_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup2_4_N2_Pressure,"AI.Buffer_Foup2_4_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup31N2Flow_0(){
	static IoPressureMeter staticBufferFoup31N2Flow("IoPressureMeter","BufferFoup31N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup31N2Flow=&staticBufferFoup31N2Flow;
	IoPressureMeter* dev=&staticBufferFoup31N2Flow;
	strcpy(dev->id,"BufferFoup31N2Flow");
	strcpy(dev->display,"Buffer_Foup3_1_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup3_1_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_1_N2_Flow,"AI.Buffer_Foup3_1_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup31N2Pressure_0(){
	static IoPressureMeter staticBufferFoup31N2Pressure("IoPressureMeter","BufferFoup31N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup31N2Pressure=&staticBufferFoup31N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup31N2Pressure;
	strcpy(dev->id,"BufferFoup31N2Pressure");
	strcpy(dev->display,"Buffer_Foup3_1_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup3_1_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_1_N2_Pressure,"AI.Buffer_Foup3_1_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup32N2Flow_0(){
	static IoPressureMeter staticBufferFoup32N2Flow("IoPressureMeter","BufferFoup32N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup32N2Flow=&staticBufferFoup32N2Flow;
	IoPressureMeter* dev=&staticBufferFoup32N2Flow;
	strcpy(dev->id,"BufferFoup32N2Flow");
	strcpy(dev->display,"Buffer_Foup3_2_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup3_2_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_2_N2_Flow,"AI.Buffer_Foup3_2_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup32N2Pressure_0(){
	static IoPressureMeter staticBufferFoup32N2Pressure("IoPressureMeter","BufferFoup32N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup32N2Pressure=&staticBufferFoup32N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup32N2Pressure;
	strcpy(dev->id,"BufferFoup32N2Pressure");
	strcpy(dev->display,"Buffer_Foup3_2_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup3_2_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_2_N2_Pressure,"AI.Buffer_Foup3_2_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup33N2Flow_0(){
	static IoPressureMeter staticBufferFoup33N2Flow("IoPressureMeter","BufferFoup33N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup33N2Flow=&staticBufferFoup33N2Flow;
	IoPressureMeter* dev=&staticBufferFoup33N2Flow;
	strcpy(dev->id,"BufferFoup33N2Flow");
	strcpy(dev->display,"Buffer_Foup3_3_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup3_3_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_3_N2_Flow,"AI.Buffer_Foup3_3_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup33N2Pressure_0(){
	static IoPressureMeter staticBufferFoup33N2Pressure("IoPressureMeter","BufferFoup33N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup33N2Pressure=&staticBufferFoup33N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup33N2Pressure;
	strcpy(dev->id,"BufferFoup33N2Pressure");
	strcpy(dev->display,"Buffer_Foup3_3_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup3_3_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_3_N2_Pressure,"AI.Buffer_Foup3_3_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup34N2Flow_0(){
	static IoPressureMeter staticBufferFoup34N2Flow("IoPressureMeter","BufferFoup34N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup34N2Flow=&staticBufferFoup34N2Flow;
	IoPressureMeter* dev=&staticBufferFoup34N2Flow;
	strcpy(dev->id,"BufferFoup34N2Flow");
	strcpy(dev->display,"Buffer_Foup3_4_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup3_4_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_4_N2_Flow,"AI.Buffer_Foup3_4_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup34N2Pressure_0(){
	static IoPressureMeter staticBufferFoup34N2Pressure("IoPressureMeter","BufferFoup34N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup34N2Pressure=&staticBufferFoup34N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup34N2Pressure;
	strcpy(dev->id,"BufferFoup34N2Pressure");
	strcpy(dev->display,"Buffer_Foup3_4_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup3_4_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup3_4_N2_Pressure,"AI.Buffer_Foup3_4_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup41N2Flow_0(){
	static IoPressureMeter staticBufferFoup41N2Flow("IoPressureMeter","BufferFoup41N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup41N2Flow=&staticBufferFoup41N2Flow;
	IoPressureMeter* dev=&staticBufferFoup41N2Flow;
	strcpy(dev->id,"BufferFoup41N2Flow");
	strcpy(dev->display,"Buffer_Foup4_1_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup4_1_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_1_N2_Flow,"AI.Buffer_Foup4_1_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup41N2Pressure_0(){
	static IoPressureMeter staticBufferFoup41N2Pressure("IoPressureMeter","BufferFoup41N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup41N2Pressure=&staticBufferFoup41N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup41N2Pressure;
	strcpy(dev->id,"BufferFoup41N2Pressure");
	strcpy(dev->display,"Buffer_Foup4_1_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup4_1_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_1_N2_Pressure,"AI.Buffer_Foup4_1_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup42N2Flow_0(){
	static IoPressureMeter staticBufferFoup42N2Flow("IoPressureMeter","BufferFoup42N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup42N2Flow=&staticBufferFoup42N2Flow;
	IoPressureMeter* dev=&staticBufferFoup42N2Flow;
	strcpy(dev->id,"BufferFoup42N2Flow");
	strcpy(dev->display,"Buffer_Foup4_2_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup4_2_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_2_N2_Flow,"AI.Buffer_Foup4_2_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup42N2Pressure_0(){
	static IoPressureMeter staticBufferFoup42N2Pressure("IoPressureMeter","BufferFoup42N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup42N2Pressure=&staticBufferFoup42N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup42N2Pressure;
	strcpy(dev->id,"BufferFoup42N2Pressure");
	strcpy(dev->display,"Buffer_Foup4_2_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup4_2_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_2_N2_Pressure,"AI.Buffer_Foup4_2_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup43N2Flow_0(){
	static IoPressureMeter staticBufferFoup43N2Flow("IoPressureMeter","BufferFoup43N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup43N2Flow=&staticBufferFoup43N2Flow;
	IoPressureMeter* dev=&staticBufferFoup43N2Flow;
	strcpy(dev->id,"BufferFoup43N2Flow");
	strcpy(dev->display,"Buffer_Foup4_3_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup4_3_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_3_N2_Flow,"AI.Buffer_Foup4_3_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup43N2Pressure_0(){
	static IoPressureMeter staticBufferFoup43N2Pressure("IoPressureMeter","BufferFoup43N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup43N2Pressure=&staticBufferFoup43N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup43N2Pressure;
	strcpy(dev->id,"BufferFoup43N2Pressure");
	strcpy(dev->display,"Buffer_Foup4_3_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup4_3_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_3_N2_Pressure,"AI.Buffer_Foup4_3_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup44N2Flow_0(){
	static IoPressureMeter staticBufferFoup44N2Flow("IoPressureMeter","BufferFoup44N2Flow",MODULE_NAME);
	IoPressureMeter::poBufferFoup44N2Flow=&staticBufferFoup44N2Flow;
	IoPressureMeter* dev=&staticBufferFoup44N2Flow;
	strcpy(dev->id,"BufferFoup44N2Flow");
	strcpy(dev->display,"Buffer_Foup4_4_N2_Flow");
	strcpy(dev->schematicId,"Buffer_Foup4_4_N2_Flow");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_4_N2_Flow,"AI.Buffer_Foup4_4_N2_Flow",TRUE);
	strcpy(dev->physical,"1,50");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
IoPressureMeter* _initBufferFoup44N2Pressure_0(){
	static IoPressureMeter staticBufferFoup44N2Pressure("IoPressureMeter","BufferFoup44N2Pressure",MODULE_NAME);
	IoPressureMeter::poBufferFoup44N2Pressure=&staticBufferFoup44N2Pressure;
	IoPressureMeter* dev=&staticBufferFoup44N2Pressure;
	strcpy(dev->id,"BufferFoup44N2Pressure");
	strcpy(dev->display,"Buffer_Foup4_4_N2_Pressure");
	strcpy(dev->schematicId,"Buffer_Foup4_4_N2_Pressure");
	strcpy(dev->unit,"psig");
	dev->aiFeedback.create("aiFeedback",&AI->Buffer_Foup4_4_N2_Pressure,"AI.Buffer_Foup4_4_N2_Pressure",TRUE);
	strcpy(dev->physical,"-10,10");
	strcpy(dev->scale,"0,150");
	strcpy(dev->aioType,"float");
	return dev;
}
void initIoPressureMeter(){
	IoPressureMeter* dev;
	dev=_initVG31_0();
	dev=_initVG14_0();
	dev=_initVG11_0();
	dev=_initVG13_0();
	dev=_initPG1_0();
	dev=_initPG2_0();
	dev=_initPG3_0();
	dev=_initPG4_0();
	dev=_initPG5_0();
	dev=_initPG6_0();
	dev=_initPG7_0();
	dev=_initPG8_0();
	dev=_initPG13_0();
	dev=_initPG14_0();
	dev=_initPG15_0();
	dev=_initPG16_0();
	dev=_initPG21_0();
	dev=_initPG22_0();
	dev=_initPG23_0();
	dev=_initPG31_0();
	dev=_initPG32_0();
	dev=_initPG130_0();
	dev=_initPG_PS12_0();
	dev=_initPS11_0();
	dev=_initPS13_0();
	dev=_initPS14_0();
	dev=_initPS17_0();
	dev=_initPS33_0();
	dev=_initPS110_0();
	dev=_initFS105_0();
	dev=_initFS106_0();
	dev=_initFS202_0();
	dev=_initFS104_0();
	dev=_initFS111_0();
	dev=_initFS102_0();
	dev=_initDG1_0();
	dev=_initFS116_0();
	dev=_initMP21_PS_0();
	dev=_initOX_0();
	dev=_initBufferFoup11N2Flow_0();
	dev=_initBufferFoup11N2Pressure_0();
	dev=_initBufferFoup12N2Flow_0();
	dev=_initBufferFoup12N2Pressure_0();
	dev=_initBufferFoup13N2Flow_0();
	dev=_initBufferFoup13N2Pressure_0();
	dev=_initBufferFoup14N2Flow_0();
	dev=_initBufferFoup14N2Pressure_0();
	dev=_initBufferFoup21N2Flow_0();
	dev=_initBufferFoup21N2Pressure_0();
	dev=_initBufferFoup22N2Flow_0();
	dev=_initBufferFoup22N2Pressure_0();
	dev=_initBufferFoup23N2Flow_0();
	dev=_initBufferFoup23N2Pressure_0();
	dev=_initBufferFoup24N2Flow_0();
	dev=_initBufferFoup24N2Pressure_0();
	dev=_initBufferFoup31N2Flow_0();
	dev=_initBufferFoup31N2Pressure_0();
	dev=_initBufferFoup32N2Flow_0();
	dev=_initBufferFoup32N2Pressure_0();
	dev=_initBufferFoup33N2Flow_0();
	dev=_initBufferFoup33N2Pressure_0();
	dev=_initBufferFoup34N2Flow_0();
	dev=_initBufferFoup34N2Pressure_0();
	dev=_initBufferFoup41N2Flow_0();
	dev=_initBufferFoup41N2Pressure_0();
	dev=_initBufferFoup42N2Flow_0();
	dev=_initBufferFoup42N2Pressure_0();
	dev=_initBufferFoup43N2Flow_0();
	dev=_initBufferFoup43N2Pressure_0();
	dev=_initBufferFoup44N2Flow_0();
	dev=_initBufferFoup44N2Pressure_0();
}
IoPressureMeter* IoPressureMeter::poVG31=NULL;
IoPressureMeter* IoPressureMeter::poVG14=NULL;
IoPressureMeter* IoPressureMeter::poVG11=NULL;
IoPressureMeter* IoPressureMeter::poVG13=NULL;
IoPressureMeter* IoPressureMeter::poPG1=NULL;
IoPressureMeter* IoPressureMeter::poPG2=NULL;
IoPressureMeter* IoPressureMeter::poPG3=NULL;
IoPressureMeter* IoPressureMeter::poPG4=NULL;
IoPressureMeter* IoPressureMeter::poPG5=NULL;
IoPressureMeter* IoPressureMeter::poPG6=NULL;
IoPressureMeter* IoPressureMeter::poPG7=NULL;
IoPressureMeter* IoPressureMeter::poPG8=NULL;
IoPressureMeter* IoPressureMeter::poPG13=NULL;
IoPressureMeter* IoPressureMeter::poPG14=NULL;
IoPressureMeter* IoPressureMeter::poPG15=NULL;
IoPressureMeter* IoPressureMeter::poPG16=NULL;
IoPressureMeter* IoPressureMeter::poPG21=NULL;
IoPressureMeter* IoPressureMeter::poPG22=NULL;
IoPressureMeter* IoPressureMeter::poPG23=NULL;
IoPressureMeter* IoPressureMeter::poPG31=NULL;
IoPressureMeter* IoPressureMeter::poPG32=NULL;
IoPressureMeter* IoPressureMeter::poPG130=NULL;
IoPressureMeter* IoPressureMeter::poPG_PS12=NULL;
IoPressureMeter* IoPressureMeter::poPS11=NULL;
IoPressureMeter* IoPressureMeter::poPS13=NULL;
IoPressureMeter* IoPressureMeter::poPS14=NULL;
IoPressureMeter* IoPressureMeter::poPS17=NULL;
IoPressureMeter* IoPressureMeter::poPS33=NULL;
IoPressureMeter* IoPressureMeter::poPS110=NULL;
IoPressureMeter* IoPressureMeter::poFS105=NULL;
IoPressureMeter* IoPressureMeter::poFS106=NULL;
IoPressureMeter* IoPressureMeter::poFS202=NULL;
IoPressureMeter* IoPressureMeter::poFS104=NULL;
IoPressureMeter* IoPressureMeter::poFS111=NULL;
IoPressureMeter* IoPressureMeter::poFS102=NULL;
IoPressureMeter* IoPressureMeter::poDG1=NULL;
IoPressureMeter* IoPressureMeter::poFS116=NULL;
IoPressureMeter* IoPressureMeter::poMP21_PS=NULL;
IoPressureMeter* IoPressureMeter::poOX=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup11N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup11N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup12N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup12N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup13N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup13N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup14N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup14N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup21N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup21N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup22N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup22N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup23N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup23N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup24N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup24N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup31N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup31N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup32N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup32N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup33N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup33N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup34N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup34N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup41N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup41N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup42N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup42N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup43N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup43N2Pressure=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup44N2Flow=NULL;
IoPressureMeter* IoPressureMeter::poBufferFoup44N2Pressure=NULL;
//AUTOIO_END
